Package ghidra.app.plugin.processors.sleigh.symbol

# Class EpsilonSymbol

java.lang.Object
ghidra.app.plugin.processors.sleigh.symbol.Symbol
ghidra.app.plugin.processors.sleigh.symbol.TripleSymbol
ghidra.app.plugin.processors.sleigh.symbol.SpecificSymbol
ghidra.app.plugin.processors.sleigh.symbol.PatternlessSymbol
ghidra.app.plugin.processors.sleigh.symbol.EpsilonSymbol

public class EpsilonSymbol extends PatternlessSymbol
A pattern with no semantic or printing content, that will match any pattern.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EpsilonSymbol()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `decode(Decoder decoder, SleighLanguage sleigh)`
  `void`
  `getFixedHandle(FixedHandle hand, ParserWalker walker)`
  `String`
  `print(ParserWalker walker)`
  `void`
  `printList(ParserWalker walker, ArrayList<Object> list)`

  ### Methods inherited from class ghidra.app.plugin.processors.sleigh.symbol.PatternlessSymbol

  `getPatternExpression`

  ### Methods inherited from class ghidra.app.plugin.processors.sleigh.symbol.TripleSymbol

  `resolve`

  ### Methods inherited from class ghidra.app.plugin.processors.sleigh.symbol.Symbol

  `decodeHeader, getId, getName, getScopeId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EpsilonSymbol

    public EpsilonSymbol()

- ## Method Details

  - ### getFixedHandle

    public void getFixedHandle(FixedHandle hand, ParserWalker walker)
    Specified by:
      `getFixedHandle` in class `TripleSymbol`

  - ### print

    public String print(ParserWalker walker)
    Specified by:
      `print` in class `TripleSymbol`

  - ### printList

    public void printList(ParserWalker walker, ArrayList<Object> list)
    Specified by:
      `printList` in class `TripleSymbol`

  - ### decode

    public void decode(Decoder decoder, SleighLanguage sleigh) throws DecoderException
    Specified by:
      `decode` in class `Symbol`
    Throws:
      `DecoderException`